<?php

namespace catchAdmin\device\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\device\model\StationPhoto as stationPhotoModel;

class StationPhoto extends CatchController
{
    protected $stationPhotoModel;
    
    public function __construct(stationPhotoModel $stationPhotoModel)
    {
        $this->stationPhotoModel = $stationPhotoModel;
    }
    
    /**
     * 列表
     * @time 2022年01月20日 10:55
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->stationPhotoModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2022年01月20日 10:55
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->stationPhotoModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2022年01月20日 10:55
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->stationPhotoModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年01月20日 10:55
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->stationPhotoModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2022年01月20日 10:55
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->stationPhotoModel->deleteBy($id));
    }
}